import time
import os
import socket
import getpass
import platform
import datetime

startTime = time.time()
name = "FlaskHealthCheck"

def get_uptime():
    return time.time() - startTime

def get_current_version():
    file = open('appversion.txt', 'r')
    return file.readlines()[0].split(':')[1].strip()

def healthcheck():
    health_check = {
        "HealthCheckResponse": {
            "AppVersion": get_current_version(),
            "Config": {
                "CurDir": os.getcwd(),
                "IsSuccess": "true",
                "MachineName": socket.gethostname(),
                "PyVersion": platform.sys.version,
                "Uptime": get_uptime(),
                "User": getpass.getuser()
            },
            "Message": "Health check was requested on: [%s]" % datetime.datetime.today().strftime('%Y-%m-%d')
        }
    }

    return health_check